System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.Control System.Web.UI.IFilterResolutionService System.Web.UI.INamingContainer

The class is an abstract class that provides common properties and methods for the class and the class. A new instance of the is not created directly.

The class defines methods supporting declarative data-binding expressions:

Use the method for data-binding expression involving data sources, such as simple properties or expressions.

Use the method for parsing and evaluating an XPath data-binding expression.

Use the method for data-binding against an expression containing an XPath select statement. The result is a node collection that implements the interface.

For more information on data-binding expression, see Data Binding Expression Syntax and ASP.NET Data Binding.

Provides the class and the class with a base set of functionality.

- Constructor

  The constructor is not called directly.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler To be added

  Occurs when a user ends a transaction.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.String To be added.

  When the file that defines a control resides in a directory other than that of the page processing the request, use the property to return the application-relative, virtual path to the .

  The property is set based on the virtual path that is set in the property.

  Gets or sets the application-relative, virtual directory path to the file from which the control is parsed and compiled.

- Property
  System.Int32 To be added: an object of type 'int' To be added

  The property has been deprecated in ASP.NET NET 2.0. It is used by generated classes and is not intended for use within your code.

  1.0.5000.0
  2.0.0.0
  System.Obsolete
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Event
  System.EventHandler To be added

  Occurs when a transaction completes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method allows design-time code execution of the and controls.

  Performs design-time logic.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.LiteralControl `` `` ``

  The method is used to access literal strings that are stored in a resource and is not intended for use from within your code.

  Accesses literal strings stored in a resource. The method is not intended for use from within your code.

  A representing a literal string in a resource.

  The offset of the start of the string in the resource. The size of the string in bytes. A Boolean value indicating if the string in the resource contains only 7-bit ASCII characters. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added

  Occurs when an unhandled exception is thrown.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Object ``

  The value of must evaluate to a public property.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates a data-binding expression.

  An object that results from the evaluation of the data-binding expression.

  The navigation path from the container to the public property value to place in the bound control property.
- Method
  2.0.0.0
  System.String `` ``

  The value of must evaluate to a public property.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates a data-binding expression using the specified format string to display the result.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  The navigation path from the container to the public property value to place in the bound control property. A .NET Framework format string to apply to the result.
- Method
  System.Void

  Do not override the method.

  Initializes the control that is derived from the class.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  2.0.0.0
  System.Object `` ``

  Application-level resources are stored in the App_GlobalResources folder. For more information, see Resources in ASP.NET Applications.

  Gets an application-level resource object based on the specified and properties.

  An object representing the requested resource object; otherwise, null.

  A string representing a . A string representing a .
- Method
  2.0.0.0
  System.Object `` `` `` ``

  Application-level resources are stored in the App_GlobalResources folder. For more information, see Resources in ASP.NET Applications.

  Gets an application-level resource object based on the specified and properties, object type, and property name of the resource.

  An object representing the requested resource object; otherwise, null.

  A string representing a . A string representing a . The type of object in the resource to get. The property name of the object to get.
- Method
  2.0.0.0
  System.Object ``

  Local resource files are stored in the App_LocalResources directory. For more information, see Resources in ASP.NET Applications

  Gets a page-level resource object based on the specified property.

  An object representing the requested resource object; otherwise, null.

  A string representing a .
- Method
  2.0.0.0
  System.Object `` `` ``

  Local resource files are stored in the App_LocalResources directory. For more information, see Resources in ASP.NET Applications

  Gets a page-level resource object based on the specified property, object type, and property name.

  An object representing the requested resource object; otherwise, null.

  A string representing a . The type of the resource object to get. The property name of the resource object to get.
- Method
  System.Web.UI.Control ``

  If the control supports caching, the object returned from the method is not actually a object; rather, it is a object. If the parameter is relative, the path of the loaded control is relative to the path of the .

  When you load a control into a container control, the container raises all of the added control's events until it has caught up to the current event. However, the added control does not catch up with postback data processing. For an added control to participate in postback data processing, including validation, the control must be added in the event rather than in the event.

  Loads a object from a file based on a specified virtual path.

  Returns the specified .

  The virtual path to a control file. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Web.UI.Control `` `` To be added.

  If the user control supports caching, the object returned from the method is not actually a object; rather, it is a object.

  When you load a control into a container control, the container raises all of the added control's events until it has caught up to the current event. However, the added control does not catch up with postback data processing. For an added control to participate in postback data processing, including validation, the control must be added in the event rather than in the event.

  Loads a object based on a specified type and constructor parameters.

  Returns the specified .

  An array of arguments that match in number, order, and type the parameters of the constructor to invoke. If is an empty array or null, the constructor that takes no parameters (the default constructor) is invoked.
- Method
  System.Web.UI.ITemplate `` To be added

  Obtains an instance of the interface from an external file.

  An instance of the specified template.

  The virtual path to a user control file. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  You can use the method for any transaction processing logic in which your page or user control participates.

  Raises the event.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.Control ``

  The parameter contains a user control, such as you would find in an .ascx file. This string cannot contain any code, because the method never causes compilation.

  Parses an input string into a object on the Web Forms page or user control.

  The parsed .

  A string that contains a user control. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Web.UI.Control `` ``

  The parameter contains a user control (the contents of an .ascx file). This string cannot contain any code, because the method never causes compilation.

  The parameter allows the class to be ignored. The class is used by the ASP.NET parser to determine whether an item is allowed in the page at parse time.

  Parses an input string into a object on the ASP.NET Web page or user control.

  The parsed control.

  A string that contains a user control. A value that specifies whether to ignore the parser filter.
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Object

  The method is not intended for use from within your code.

  Reads a string resource. The method is not intended for use from within your code.

  An object representing the resource.

- Method
  System.Object ``

  The method is not intended for use from within your code.

  Reads a string resource. The method is not intended for use from within your code.

  An object representing the resource.

  The of the resource to read. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void `` `` To be added

  Sets a pointer to a string resource. The method is used by generated classes and is not intended for use from within your code.

  An object representing the pointer to the string resource. The resource size. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.Boolean To be added: an object of type 'bool'

  The property indicates whether automatic events are supported. The property is read-only and is true for all cases.

  Gets a value indicating whether the control supports automatic events.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  2.0.0.0
  System.Int32 `` ``

  The method is part of the interface, which is specific to how a control uses device filters in a designer environment. When controls are parsed or persisted in the designer environment outside the context of a browser request, the provides a way to determine if the current control is affected by a named filter and whether a named filter is part of a specific device-filter hierarchy.

  Returns a value that indicates whether a parent/child relationship exists between two specified device filters.

  1, if is a parent of ; -1, if is a parent of ; otherwise, 0, if there is no parent/child relationship between and .

  A device filter name. A device filter name.
- Method
  2.0.0.0
  System.Boolean ``

  The method is part of the interface, which is specific to how a control uses device filters in a designer environment. When controls are parsed or persisted in the designer environment outside the context of a browser request, the provides a way to determine if the current control is affected by a named filter and whether a named filter is part of a specific device-filter hierarchy.

  Returns a value that indicates whether the specified filter is a type of the current filter object.

  true if the specified filter is a type applicable to the current filter object; otherwise, false.

  The name of a device filter.
- Method
  System.Void `` `` `` `` To be added

  Writes a resource string to an control. The method is used by generated classes and is not intended for use from within your code.

  The control to write to. The starting position within . The number of characters within to use. true to bypass re-encoding; otherwise, false. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  2.0.0.0
  System.Object `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression.

  An object that results from the evaluation of the data-binding expression.

- Method
  2.0.0.0
  System.String `` `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified format string to display the result.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  A .NET Framework format string to apply to the result.
- Method
  2.0.0.0
  System.Object `` `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified prefix and namespace mappings for namespace resolution.

  An object that results from the evaluation of the data-binding expression.

  A set of prefix and namespace mappings used for namespace resolution.
- Method
  2.0.0.0
  System.String `` `` `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified prefix and namespace mappings for namespace resolution and the specified format string to display the result.

  A string that results from the evaluation of the data-binding expression and conversion to a string type.

  A .NET Framework format string to apply to the result. A set of prefix and namespace mappings used for namespace resolution.
- Method
  2.0.0.0
  System.Collections.IEnumerable `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression and returns a node collection that implements the interface.

  An node list.

- Method
  2.0.0.0
  System.Collections.IEnumerable `` `` To be added.

  The method calls the method using the method to resolve the object reference that the expression is evaluated against.

  Evaluates an XPath data-binding expression using the specified prefix and namespace mappings for namespace resolution and returns a node collection that implements the interface.

  An node list.

  A set of prefix and namespace mappings used for namespace resolution.